/**
 * @file proc_compare.c
 * @brief μ Ʈ    ϴ Լ Ƶ .
 */

#include <stdio.h>
#include <string.h>
#include "proc_list.h"

/**
 * @brief
 *	μ Ʈ  о 迭 ϴ Լ.
 * @param file_name μ Ʈ 
 * @remark
 *	file_name Ѱܹ μ Ʈ  о 迭 Ѵ. ̷  迭 ߿ Ʈ 񱳸  ȴ.
 * @return
 *	ϸ proc_list ε, ϸ -1.
 */
int read_proc_list(char *file_name, struct proc_list_t *proc_list)
{
	FILE *proc_file = NULL;
	char one_line[256], *token = NULL, *delim="\t\n", *saveptr = NULL;
	int i = 0;
	
	proc_file = fopen(file_name, "r");
	if(proc_file == NULL) {
		printf("%s(%d): file open error.(%s)", __FUNCTION__, __LINE__, file_name);
		return -1;
	}
	
	while(fgets(one_line, 256, proc_file)) {
			token = strtok_r(one_line, delim, &saveptr);
			strcpy(proc_list[i].proc_name, token);
			token = strtok_r(NULL, delim, &saveptr);
			strcpy(proc_list[i].sha1sum_value, token);
			i++;
	}

	fclose(proc_file);
	
	return i;
}
