/**
 * @file proc_list.h
 * @brief proc_list.c Ǵ ũ, Լ  .
 */
#ifndef PROC_LIST_H_
#define PROC_LIST_H_

#include <sys/types.h>

/**
 * @brief   μ sha1sum ϴ  
 */
#define CURR_PROC_LIST	"/var/curr_proc.lst"

/**
 * @brief   μ Ʈ ϴ  .
 */
#define WHITE_PROC_LIST	"/var/white_proc.lst"

/**
 * @brief /proc  ý 
 */
#define PROC_DIR	"/proc/"

/**
 * @brief sha1sum ؽð .
 */
#define SHA1SUM_LEN	41

/**
 * @brief μ ִ .
 */
#define PROC_NAME_LEN	64

/**
 * @brief μ ̸ SHA1SUM ؽð ϴ ü.
 */
struct proc_list_t {
	pid_t pid;	/**< μ ID */
	unsigned char white_proc;	/**< 0̸ killǾ  μ. */
	char proc_name[PROC_NAME_LEN];		/**< μ */ 
	char sha1sum_value[SHA1SUM_LEN];	/**< μ SHA1SUM ؽð */
};

pid_t *get_curr_pid_list(void);
int write_curr_proc_list(struct proc_list_t *curr_proc_list, int write_flag);
int write_proc_list(char *file_name, struct proc_list_t *proc_lst, int proc_num);

#endif /* PROC_LIST_H_ */
